Subject: Re: [net-next PATCH] net: RFC3069, private VLAN proxy arp support

From: Eric Dumazet <[email-masked]>
Date: Wed, 06 Jan 2010 07:03:58 +0100

Le 05/01/2010 16:50, Jesper Dangaard Brouer a écrit :
> This is to be used together with switch technologies, like RFC3069,
> that where the individual ports are not allowed to communicate with
> each other, but they are allowed to talk to the upstream router.  As
> described in RFC 3069, it is possible to allow these hosts to
> communicate through the upstream router by proxy_arp'ing.
> 

Reading RFC 3069, I dont understand why it needs support on hosts themselves.

> This patch basically allow proxy arp replies back to the same
> interface (from which the ARP request/solicitation was received).

Could you give me an example of how it is used ?
Last time I played with proxy arp was 6 years ago :)

Thanks